zabbix_export:
  version: '6.2'
  date: '2022-08-29T10:20:24Z'
  host_groups:
    -
      uuid: f3cbee6b95f7462da4288c28b01dc976
      name: test
  hosts:
    -
      host: trapper
      name: trapper
      groups:
        -
          name: test
      interfaces:
        -
          interface_ref: if1
      items:
        -
          name: master
          type: TRAP
          key: master
          delay: '0'
          trends: '0'
          value_type: TEXT
      discovery_rules:
        -
          name: disco
          type: DEPENDENT
          key: disco
          delay: '0'
          item_prototypes:
            -
              name: 'changecount[{#VAR}]'
              type: CALCULATED
              key: 'varchangecount[{#VAR}]'
              delay: 5s
              params: 'changecount(//var[{#VAR}],1h)'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED
                  parameters:
                    - ''
            -
              name: 'change[{#VAR}]'
              type: CALCULATED
              key: 'varchange[{#VAR}]'
              delay: 5s
              params: 'change(//var[{#VAR}])'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED
                  parameters:
                    - ''
            -
              name: 'countunique[{#VAR},1h]'
              type: CALCULATED
              key: 'varcountunique[{#VAR}]'
              delay: 5s
              params: 'countunique(//var[{#VAR}],1h)'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED
                  parameters:
                    - ''
            -
              name: 'last[{#VAR},#3]'
              type: CALCULATED
              key: 'varlast[{#VAR},#3]'
              delay: 5s
              params: 'last(//var[{#VAR}],#3)'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED
                  parameters:
                    - ''
            -
              name: 'last[{#VAR}]'
              type: CALCULATED
              key: 'varlast[{#VAR}]'
              delay: 5s
              params: 'last(//var[{#VAR}])'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED
                  parameters:
                    - ''
            -
              name: '{#VAR}'
              type: DEPENDENT
              key: 'var[{#VAR}]'
              delay: '0'
              value_type: FLOAT
              preprocessing:
                -
                  type: JSONPATH
                  parameters:
                    - '$[?(@.var == "{#VAR}")].val.first()'
              master_item:
                key: master
          master_item:
            key: master
          lld_macro_paths:
            -
              lld_macro: '{#VAR}'
              path: $.var
      inventory_mode: DISABLED
